Bug 664221 - (ghc-cautious-file) Review Request: ghc-cautious-file - Provides ways to write a file cautiously
Review Request: ghc-cautious-file - Provides ways to write a file cautiously
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: yi
  Show dependency treegraph
 
Reported: 2010-12-19 06:42 EST by Narasimhan
Modified: 2014-11-12 18:18 EST (History)
3 users (show)

See Also:
Fixed In Version: ghc-cautious-file-1.0.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-09 21:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
ghc-cautious-file.spec-1.patch (1.61 KB, patch)
2012-02-25 02:33 EST, Jens Petersen
no flags Details | Diff

  None (edit)
Description Narasimhan 2010-12-19 06:42:56 EST
SPEC file link : https://sites.google.com/site/lakshminaras2002/home/ghc-cautious-file.spec?attredirects=0&d=1

SRPM link : https://sites.google.com/site/lakshminaras2002/home/ghc-cautious-file-0.1.5-1.fc14.src.rpm?attredirects=0&d=1

rpmlint output:

rpmlint  -i *.rpm ../ghc-cautious-file.spec
ghc-cautious-file.src: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file.x86_64: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file-devel.x86_64: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file-prof.x86_64: E: devel-dependency ghc-cautious-file-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-cautious-file-prof.x86_64: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-cautious-file-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-7.0.1/cautious-file-0.1.5/libHScautious-file-0.1.5_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:18 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Narasimhan 2011-04-03 01:59:42 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-cautious-file.spec

http://narasim.fedorapeople.org/package_reviews/ghc-cautious-file-0.1.5-2.fc14.src.rpm

rpmlint  -i ghc-cautious-file.spec ~/rpmbuild/SRPMS/ghc-cautious-file-0.1.5-2.fc14.src.rpm ~/rpmbuild/RPMS/i686/ghc-cautious-file-*.rpm

ghc-cautious-file.src: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file.i686: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file-devel.i686: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file-prof.i686: E: devel-dependency ghc-cautious-file-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-cautious-file-prof.i686: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-cautious-file-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/cautious-file-0.1.5/libHScautious-file-0.1.5_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.
Comment 3 Narasimhan 2011-11-06 05:40:15 EST
SPEC file:
http://narasim.fedorapeople.org/package_reviews/ghc-cautious-file.spec

SRPM file:
http://narasim.fedorapeople.org/package_reviews/ghc-cautious-file-0.1.5-3.fc14.src.rpm

rpmlint output:
rpmlint  -i ghc-cautious-file-0.1.5-3.fc14.i686.rpm ghc-cautious-file-0.1.5-3.fc14.src.rpm ghc-cautious-file-devel-0.1.5-3.fc14.i686.rpm ../ghc-cautious-file.spec 
ghc-cautious-file.i686: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file.src: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file-devel.i686: W: spelling-error %description -l en_US posix -> posit, pos ix, pos-ix
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.
Comment 4 Jens Petersen 2011-11-10 04:27:07 EST
http://packdeps.haskellers.com/reverse/cautious-file
Comment 5 Jens Petersen 2012-02-07 05:08:12 EST
Sorry to ask so late but would be able to update the packaging
to cabal2spec-0.25?
Comment 6 Narasimhan 2012-02-11 05:40:11 EST
SPEC file:
http://narasim.fedorapeople.org/package_reviews/ghc-cautious-file.spec

SRPM
http://narasim.fedorapeople.org/package_reviews/ghc-cautious-file-1.0-1.fc16.src.rpm

rpmlint output:
rpmlint  -i *.rpm
ghc-cautious-file.src: W: spelling-error %description -l en_US posix -> posit
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file.x86_64: W: spelling-error %description -l en_US posix -> posit
The value of this tag appears to be misspelled. Please double-check.

ghc-cautious-file-devel.x86_64: W: spelling-error %description -l en_US posix -> posit
The value of this tag appears to be misspelled. Please double-check.

3 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 7 Jens Petersen 2012-02-25 02:02:24 EST
Also needed by packdeps-yesod.hs:
http://hackage.factisresearch.com/package/cautious-file-1.0/reverse
fwiw.
Comment 8 Jens Petersen 2012-02-25 02:32:02 EST
Sorry for long wait - been busy with ARM and other "distractions"...


Here is the review:

 +:ok, NA: not applicable

MUST Items:
[] MUST: rpmlint output [1]

ghc-cautious-file.src: W: spelling-error %description -l en_US posix -> posit
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-cautious-file.x86_64: W: spelling-error %description -l en_US posix -> posit
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
ghc-cautious-file-devel.x86_64: W: spelling-error %description -l en_US posix -> posit
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

waived

[+] MUST: package named according to Package Naming Guidelines
[+] MUST: spec file name must match base package %{name} [2]
[+] MUST: meet Packaging Guidelines
[+] MUST: Fedora approved license and Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license. [3]
[+] MUST: include license files in %doc if available in source [4]
[+] MUST: The spec file must be written in American English [5] and legible. [6]
[+] MUST: source md5sum matches upstream release (from upstream URL)

ca18207cccb0ab7c7c2649133943ccc4  cautious-file-1.0.tar.gz

[!] MUST: successfully compile and build into binary rpms on a primary arch [7]

Srpm doesn't build in mock/koji though:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3817824
due to missing BR on bytestring.

[NA] MUST: if necessary use ExcludeArch for other archs [8]
[-] MUST: All build dependencies must be listed in BuildRequires

See preceding comment.

[NA] MUST: use %find_lang macro for .po translations [9]
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries. [11]
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review [12]
[+] MUST: A package must own all directories that it creates. [13]
[+] MUST: A package must not contain any duplicate files in the %files listing. [14]
[+] MUST: Permissions on files must be set properly. [15]
[+] MUST: consistently use macros [16]
[+] MUST: The package must contain code, or permissable content. [17]
[NA] MUST: Large documentation files should go in a doc subpackage. [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. [18]
[+] MUST: Header files must be in a -devel package. [19]
[NA] MUST: Static libraries must be in a -static package. [20]
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency [21]
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec. [20]
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock. [27]
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. [29]

Please fix the above missing BR when importing.

Package is APPROVED.
Comment 9 Jens Petersen 2012-02-25 02:33:47 EST
Created attachment 565726 [details]
ghc-cautious-file.spec-1.patch

Minor suggested tidy-up of summary/description.
Comment 10 Narasimhan 2012-03-01 03:56:14 EST
Thanks for the review.
I will incorporate the patch.

New Package SCM Request
=======================
Package Name: ghc-cautious-file
Short Description:  Provides ways to write a file cautiously
Owners: narasim
Branches: f17 f16 f15
InitialCC: haskell-sig
Comment 11 Jon Ciesla 2012-03-01 21:18:08 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-03-03 13:34:47 EST
ghc-cautious-file-1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-cautious-file-1.0-2.fc16
Comment 13 Fedora Update System 2012-03-03 13:34:57 EST
ghc-cautious-file-1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-cautious-file-1.0-2.fc17
Comment 14 Fedora Update System 2012-03-03 13:35:07 EST
ghc-cautious-file-1.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-cautious-file-1.0-2.fc15
Comment 15 Fedora Update System 2012-03-05 15:59:28 EST
ghc-cautious-file-1.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 16 Fedora Update System 2012-03-09 21:08:16 EST
ghc-cautious-file-1.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2012-03-17 19:49:44 EDT
ghc-cautious-file-1.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 18 Fedora Update System 2012-03-17 19:55:38 EDT
ghc-cautious-file-1.0-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 19 Jens Petersen 2014-10-22 23:44:06 EDT
Package Change Request
======================
Package Name: ghc-cautious-file
New Branches: epel7
Owners: petersen
InitialCC: haskell-sig
Comment 20 Jon Ciesla 2014-10-23 08:15:52 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2014-10-24 05:52:34 EDT
ghc-cautious-file-1.0.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-cautious-file-1.0.2-2.el7
Comment 22 Fedora Update System 2014-11-12 18:18:48 EST
ghc-cautious-file-1.0.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.